Package com.sas.lsaf.core.action

## Class ActionStatusDetail

- java.lang.Object
- - com.sas.lsaf.core.action.ActionStatusDetail

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ActionStatusDetail
      extends java.lang.Object
      implements java.io.Serializable

  Represents the status of an individual step of an action completed in the system. The completion status will indicate if this particular step completed successfully or not.
  Since:
    2.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ActionStatusDetail​(java.lang.String id, java.lang.String itemIdentifier, java.lang.String itemLocation, java.lang.String itemName, java.lang.String messageCode, java.lang.String message, ActionStatus.CompletionStatus completionStatus)` | Initializing constructor which sets the values of all variables.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ActionStatus.CompletionStatus` | `getCompletionStatus()` | Get the completion status enum value indicating the most severe outcome (ERROR) encountered during the action.
    `java.lang.String` | `getId()` | Get the id of this action detail.
    `java.lang.String` | `getItemIdentifier()` | Get the identifier of the item.
    `java.lang.String` | `getItemLocation()` | Get the location of the item.
    `java.lang.String` | `getItemName()` | Get the name or display name for this item.
    `java.lang.String` | `getMessage()` | Get the message of the of the item.
    `java.lang.String` | `getMessageCode()` | Get the message code of the item.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionStatusDetail

          public ActionStatusDetail​(java.lang.String id,
                                    java.lang.String itemIdentifier,
                                    java.lang.String itemLocation,
                                    java.lang.String itemName,
                                    java.lang.String messageCode,
                                    java.lang.String message,
                                    ActionStatus.CompletionStatus completionStatus)

      Initializing constructor which sets the values of all variables. It is not intended for consumers of the API to construct these objects directly, rather retrieve them from the `ActionStatus` returned from batch service calls.
      Parameters:
        `id` - the id of this action detail.
        `itemIdentifier` - the identifier of the item. This could be the item's UUID, full path or some other uniquely identifying attribute.
        `itemLocation` - the location of the item. It will be the parent path of the item's full path IF a path is being used is the item identifier.
        `itemName` - the name or display name for this item.
        `messageCode` - the completion message code of the item.
        `message` - the completion summary message of the item.
        `completionStatus` - the completion status enum value indicating the most severe outcome (ERROR) encountered during the action.

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Get the id of this action detail.
      Returns:
        the id of this action detail.

    - #### getItemIdentifier

          public java.lang.String getItemIdentifier()

      Get the identifier of the item. This could be the item's UUID, full path or some other uniquely identifying attribute.
      Returns:
        the identifier of the item acted on

    - #### getItemLocation

          public java.lang.String getItemLocation()

      Get the location of the item. It will be the parent path of the item's full path IF a path is being used is the item identifier. This field can be null.
      Returns:
        the parent location of the item acted on.

    - #### getItemName

          public java.lang.String getItemName()

      Get the name or display name for this item. This will never be null.
      Returns:
        the name of the item acted on.

    - #### getMessageCode

          public java.lang.String getMessageCode()

      Get the message code of the item.
      Returns:
        the message code of the item.

    - #### getMessage

          public java.lang.String getMessage()

      Get the message of the of the item.
      Returns:
        the message of the of the item.

    - #### getCompletionStatus

          public ActionStatus.CompletionStatus getCompletionStatus()

      Get the completion status enum value indicating the most severe outcome (ERROR) encountered during the action.
      Returns:
        the completion status enum value indicating the most severe outcome (ERROR) encountered during the action.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`